MONGOC_BULK_OPERATION_SET_CLIENT(3)

NAME
mongoc_bulk_operation_set_client - mongoc_bulk_operation_set_client()

SYNOPSIS

        void
        mongoc_bulk_operation_set_client (mongoc_bulk_operation_t *bulk, void *client);

PARAMETERS

    •   bulk: A mongoc_bulk_operation_t.

    •   client: A mongoc_client_t.

DESCRIPTION

Specifies a client to use for the operation. This function has an effect only if called before mongoc_bulk_operation_execute.

If a mongoc_client_session_t has already been assigned with mongoc_bulk_operation_set_client_session, the client parameter must be the same as the mongoc_client_t associated with that mongoc_client_session_t.

Use mongoc_bulk_operation_set_client only for building a language driver that wraps the C Driver. When writing applications in C, a client is implicitly set by mongoc_collection_create_bulk_operation_with_opts.

The client parameter's type is a void pointer by mistake, but it must be preserved for ABI. You must only pass a mongoc_client_t pointer for client.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc